//
//  ANGBufferedCaller.h
//  ANGAdditions
//
//  Created by Cyril Anger on 01/12/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGBufferedCaller : NSObject {
	id target;
	NSNumber *hash;
	NSMutableDictionary *invocations;
}

+ (NSMutableDictionary *)buffers;

- (id)initWithTarget:(id)newTarget;
- (void)processPendingCalls;
- (void)clear;

@end

@interface NSObject (ANGBufferedCallerAdditions)

- (id)bufferedCaller;
- (void)notifyChangeValueForKey:(NSString *)key;

@end
