//
//  ANGWindowAdditions.h
//  ANGAdditions
//
//  Created by Cyril Anger on 28/12/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSWindow (ANGWindowAdditions)

- (IBAction)endEditingAndPerformClose:(id)sender;
- (IBAction)showModal:(id)sender;
- (IBAction)cancelModal:(id)sender;
- (IBAction)endModal:(id)sender;

@end

@interface NSObject (ANGWindowAdditionsDelegate)

- (void)windowWillBecomeModal:(NSWindow *)window;
- (void)windowWillCancelModal:(NSWindow *)window;
- (void)windowDidEndModal:(NSWindow *)window;

@end
