//
//  ANGTextField.h
//  ANGAdditions
//
//  Created by Cyril Anger on 14/01/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ANGGradient.h"

@interface ANGTextField : NSTextField {
	ANGGradient *gradient;
}

- (NSString *)iconName;
- (void)setIconName:(NSString *)newIconName;
- (NSImage *)icon;
- (void)setIcon:(NSImage *)newIcon;
- (BOOL)drawsIconReflection;
- (void)setDrawsIconReflection:(BOOL)flag;
- (BOOL)drawsTitleShadow;
- (void)setDrawsTitleShadow:(BOOL)flag;
- (NSString *)comment;
- (void)setComment:(NSString *)newComment;
- (NSFont *)commentFont;
- (void)setCommentFont:(NSFont *)newCommentFont;
- (NSColor *)commentColor;
- (void)setCommentColor:(NSColor *)newCommentColor;
- (BOOL)drawsCommentShadow;
- (void)setDrawsCommentShadow:(BOOL)flag;
- (NSArray *)leftStatusIcons;
- (void)setLeftStatusIcons:(NSArray *)newLeftStatusIcons;
- (NSArray *)rightStatusIcons;
- (void)setRightStatusIcons:(NSArray *)newRightStatusIcons;
- (ANGGradient *)gradient;
- (void)setGradient:(ANGGradient *)newGradient;

@end
