//
//  ANGApplicationAdditions.h
//  ANGAdditions
//
//  Created by Cyril Anger on 17/08/05.
//  Copyright 2005 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSApplication (ANGApplicationAdditions)

- (NSString *)name;
- (NSString *)path;
- (NSString *)version;
- (NSString *)systemVersion;
- (NSString *)supportFolderForDomainMask:(NSSearchPathDomainMask)domainMask;
- (NSArray *)supportFolders;
- (NSArray *)findSupportFilesInFolder:(NSString *)folder;
- (BOOL)isLaunchedAtLogin;
- (void)toggleLaunchAtLogin;
- (BOOL)isTargetOfInputManager:(NSBundle *)inputManagerBundle;

- (IBAction)orderFrontAboutPanel:(id)sender;
- (IBAction)openUserGuide:(id)sender;
- (IBAction)checkForUpdates:(id)sender;
- (IBAction)installFiles:(id)sender;

@end
