//
//  ANGStackView.h
//  ANGAdditions
//
//  Created by Cyril Anger on 30/01/05.
//  Copyright 2005 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGStackView : NSControl {
	IBOutlet id dataSource;
}

- (NSRect)frameForItem:(int)index;
- (int)itemAtPoint:(NSPoint)point;
- (int)firstItemIndex;
- (int)selectedItem;
- (void)setSelectedItem:(int)index;
- (BOOL)canChangeSelectedItem;
- (void)setCanChangeSelectedItem:(BOOL)flag;

@end

@interface NSObject (ANGStackViewDataSource)

- (int)numberOfItemsInStackView:(ANGStackView *)stackView;
- (NSImage *)iconForItem:(int)index inStackView:(ANGStackView *)stackView;

@end
