//
//  ANGBundleAdditions.h
//  ANGAdditions
//
//  Created by Cyril Anger on 10/12/05.
//  Copyright 2005 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define ANGPluginLocalizedString(string) NSLocalizedStringFromTableInBundle(string, nil, [NSBundle bundleForClass:[self class]], nil)
#define ANGIdentifierLocalizedString(string, identifier) NSLocalizedStringFromTableInBundle(string, nil, [NSBundle bundleWithIdentifier:identifier], nil)
#define ANGLocalizedString(string) ANGIdentifierLocalizedString(string, @"com.angeman.ANGAdditions")

@interface NSBundle (ANGBundleAdditions)

- (NSString *)executable;
- (NSString *)version;

@end
