//
//  ANGPluginsManager.h
//  ANGAdditions
//
//  Created by Cyril Anger on 10/12/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGPluginsManager : NSObject {
	NSMutableDictionary *plugins;
}

+ (ANGPluginsManager *)sharedManager;

- (void)loadInternalPlugins;
- (void)loadExternalPlugins;
- (void)registerPluginClass:(Class)pluginClass ofType:(Protocol *)protocol;
- (NSArray *)pluginsOfType:(Protocol *)protocol;
- (id)pluginNamed:(NSString *)name ofType:(Protocol *)protocol;

@end
