//
//  ANGURLDownload.h
//  ANGAdditions
//
//  Created by Cyril Anger on 25/11/06.
//  Copyright 2006 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGURLDownload : NSURLDownload {
	NSString *URL;
	NSString *downloadFolder;
	NSString *downloadPath;
	NSProgressIndicator *progressIndicator;
	id delegate;
}

- (id)initWithURL:(NSString *)newURL downloadFolder:(NSString *)newDownloadFolder delegate:(id)newDelegate;
- (NSString *)URL;
- (NSString *)downloadFolder;
- (NSString *)downloadPath;
- (NSProgressIndicator *)progressIndicator;

@end

@interface NSObject (ANGURLDownloadDelegate)

- (void)download:(ANGURLDownload *)download didFinishWithError:(BOOL)error;

@end
