//
//  ANGInstaller.h
//  ANGAdditions
//
//  Created by Cyril Anger on 14/01/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGInstaller : NSWindowController {
	BOOL installationDone;
	NSBundle *bundle;
	NSMutableArray *filesToInstall;
	NSMutableDictionary *installResults;
	
	IBOutlet NSTableView* filesView;
	IBOutlet NSMatrix* userMatrix;
}

+ (ANGInstaller *)sharedInstaller;

- (NSString *)bundlePathForFile:(NSString *)file;
- (NSString *)installPathForFile:(NSString *)file directory:(NSString *)directory;
- (void)run;
- (void)runForBundle:(NSBundle *)newBundle;

- (IBAction)changeUser:(id)sender;
- (IBAction)install:(id)sender;

@end
