//
//  ANGUpdater.h
//  ANGAdditions
//
//  Created by Cyril Anger on 14/02/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <WebKit/WebKit.h>

@interface ANGUpdater : NSWindowController {
	BOOL downloadDone;
	NSString *latestVersion;
	NSString *latestVersionFile;
	
	IBOutlet NSTextField *versionField;
	IBOutlet WebView *descriptionView;
	IBOutlet NSView *progressView;
	IBOutlet NSButton *downloadButton;
}

+ (ANGUpdater *)sharedUpdater;

- (NSString *)latestVersionURL;
- (NSString *)changeLogURL;
- (NSString *)downloadURL;
- (void)checkForUpdatesAndNotify:(BOOL)notify;

- (IBAction)download:(id)sender;

@end
