//
//  ANGStringAdditions.h
//  ANGAdditions
//
//  Created by Cyril Anger on 07/12/05.
//  Copyright 2005 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSString (ANGStringAdditions)

+ (NSString *)uniqueID;

- (NSComparisonResult)numericCompare:(NSString *)string;
- (NSString *)firstLetterCapitalizedString;
- (NSString *)firstLetterUncapitalizedString;
- (BOOL)matches:(NSString *)pattern captures:(NSArray **)captures;
- (void)drawInRect:(NSRect)rect withFont:(NSFont *)font color:(NSColor *)color alignment:(NSTextAlignment)alignment;

@end
