//
//  ANGPieView.h
//  ANGAdditions
//
//  Created by Cyril Anger on 09/06/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGPieView : NSView {
	IBOutlet id dataSource;
}

- (id)dataSource;
- (void)setDataSource:(id)newDataSource;

@end

@interface NSObject (ANGPieViewDataSource)

- (int)numberOfItemsInPieView:(ANGPieView *)pieView;
- (float)percentageForItem:(int)index inPieView:(ANGPieView *)pieView;
- (NSString *)titleForItem:(int)index inPieView:(ANGPieView *)pieView;
- (NSColor *)colorForItem:(int)index inPieView:(ANGPieView *)pieView;

@end
