//
//  ANGArrayControllerObserver.h
//  ANGAdditions
//
//  Created by Cyril Anger on 17/03/08.
//  Copyright 2008 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class ANGArrayController;

extern NSString *ANGArrayControllerObserverContext;

@interface ANGArrayControllerObserver : NSObject {
	ANGArrayController *controller;
	NSMutableArray *observedObjects;
	NSArray *observedSources;
	NSDictionary *bindingInfo;
}

@property (assign) ANGArrayController *controller;
@property (retain) NSMutableArray *observedObjects;
@property (retain) NSArray *observedSources;
@property (retain) NSDictionary *bindingInfo;

- (id)initWithController:(ANGArrayController *)newController;
- (void)updateObservedObjects:(NSArray *)newObservedObjects oldObservedObjects:(NSArray *)oldObservedObjects;

@end
