//
//  ANGDatePicker.h
//  ANGAdditions
//
//  Created by Cyril Anger on 28/01/07.
//  Copyright 2007 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGDatePicker : NSDatePicker {
	NSText *editor;
	NSFormatter *formatter;
}

+ (ANGDatePicker *)sharedPicker;

- (void)showWithFrame:(NSRect)cellFrame inView:(NSView *)controlView editor:(NSText *)newEditor formatter:(NSFormatter *)newFormatter;
- (void)textDidEndEditing:(NSNotification *)notification;

- (IBAction)changeDate:(id)sender;

@end
