//
//  ANGURLConnection.h
//  ANGAdditions
//
//  Created by Cyril Anger on 18/11/04.
//  Copyright 2004 Angeman. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ANGURLConnection : NSURLConnection {
    NSString *URL;
    id context;
    NSMutableData *receivedData;
	NSProgressIndicator *progressIndicator;
	id delegate;
}

- (id)initWithURL:(NSString *)newURL context:(id)newContext delegate:(id)newDelegate;
- (NSString *)URL;
- (id)context;
- (NSMutableData *)receivedData;
- (NSProgressIndicator *)progressIndicator;

@end

@interface NSObject (ANGURLConnectionDelegate)

- (void)connection:(ANGURLConnection *)connection didFinishWithError:(BOOL)error;

@end
